curl --request PUT \
--url https://api.honeycomb.io/1/columns/{datasetSlug}/{columnId} \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"key_name": "my_column",
"type": "integer",
"description": "An integer column",
"hidden": false
}
'import requests
url = "https://api.honeycomb.io/1/columns/{datasetSlug}/{columnId}"
payload = {
"key_name": "my_column",
"type": "integer",
"description": "An integer column",
"hidden": False
}
headers = {
"X-Honeycomb-Team": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Honeycomb-Team': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key_name: 'my_column',
type: 'integer',
description: 'An integer column',
hidden: false
})
};
fetch('https://api.honeycomb.io/1/columns/{datasetSlug}/{columnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "yUheCUmgZ8p",
"key_name": "my_column",
"hidden": false,
"description": "",
"type": "string",
"last_written": "2022-07-26T22:38:05Z",
"created_at": "2022-07-26T22:38:04Z",
"updated_at": "2022-07-26T22:38:04Z"
}{
"error": "Key name cannot be blank"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"code": "invalid",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}Update a Column
Update a column
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The dataset slug.
Unique identifier (ID) of a column.
Body
Name of the Column.
1 - 255"my_column"
Type of data that the Column will contain. Histogram is in beta and only works in your Metrics dataset.
string, float, integer, boolean, histogram "integer"
Column description.
255"An integer column"
If true, the column is excluded from autocomplete and raw data field lists.
Response
Success
Name of the Column.
1 - 255"my_column"
Type of data that the Column will contain. Histogram is in beta and only works in your Metrics dataset.
string, float, integer, boolean, histogram "integer"
Column description.
255"An integer column"
If true, the column is excluded from autocomplete and raw data field lists.
Unique identifier (ID), returned in response bodies.
ISO8601 formatted time the column was last written to (received event data).
ISO8601 formatted time the column was created.
ISO8601 formatted time the column was updated.